<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$fseries = $_SESSION["society_" . $dbname];
$success = false;

$file = "flattran.php";
$maindb = 'transfer';

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `name2` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `tranname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `tranname2` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `flatno` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `name2` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `tranname` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `tranname2` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `flatno` LIKE '%$searchTerm%'";
    } 
}

 $sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
}elseif ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `name`";
}elseif ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `name2`";
}elseif ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `tranname`";
}elseif ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `tranname2`";
}elseif ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `flatno`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT `vouchno`, `name`, `name2`, `tranname`, `tranname2`, `flatno` FROM `$maindb`  WHERE  `$keyfld` != '' AND `series`='$fseries' $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 1;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'recpno' => $r[vouchno],
        'tranno' => $r[tranname],
        'tranno2' => $r[tranname2],
        'member' => $r[name],
        'member2' => $r[name2],
        'flatno' => $r[flatno],
        'action' => "$file?mode=edit&series=$fseries&vouchno=$r[vouchno]",
    ];
    $ctr++;
}

header("Content-type: application\json");
echo json_encode($rows);